import django_tables2 as tables
from django_tables2 import A

from .models import TFJMUser


class UserTable(tables.Table):
    """
    Table of users that are matched with a given queryset.
    """
    last_name = tables.LinkColumn(
        "member:information",
        args=[A("pk")],
    )

    first_name = tables.LinkColumn(
        "member:information",
        args=[A("pk")],
    )

    class Meta:
        model = TFJMUser
        fields = ("last_name", "first_name", "role", "date_joined", )
        attrs = {
            'class': 'table table-condensed table-striped table-hover'
        }
